Subject: [PATCH v3] arm64: Add workaround for Cavium erratum 27456

From: [email-masked] (Will Deacon)
Date: Wed, 24 Feb 2016 18:06:26 +0000

On Wed, Feb 24, 2016 at 10:03:02AM -0800, David Daney wrote:
> On 02/24/2016 06:07 AM, Marc Zyngier wrote:
> >On 24/02/16 13:40, Will Deacon wrote:
> >
> >[...]
> >
> >>(and Catalin, if you pick this up, watch out for the conflicts in
> >>cpufeature.h)
> >
> >Yup, that one is about to become a minefield (ARM64_HAS_NO_HW_PREFETCH,
> >ARM64_HAS_UAO, ARM64_ALT_PAN_NOT_UAO and ARM64_HAS_VIRT_HOST_EXTN are
> >already happily clashing into -next). But hey, the more the merrier! ;-)
> >
> 
> Would you like me to rebase it to for-next/core ?

I think ARM64_HAS_VIRT_HOST_EXTN is in the KVM tree, so you're probably
best off looking at linux-next and choosing your feature number based on
that, whilst basing the patch on either for-next/core or mainline.

Will